Debian Bug report logs - #584744
linux-2.6: radeonfb builtin on sparc and powerpc

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Sun, 6 Jun 2010 09:09:01 UTC

Severity: important

Found in version 2.6.32-10

Done: Ben Hutchings <ben@decadent.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584744; Package linux-2.6. (Sun, 06 Jun 2010 09:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 06 Jun 2010 09:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-2.6: radeonfb builtin on sparc and powerpc
Date: Sun, 6 Jun 2010 11:07:51 +0200
[Message part 1 (text/plain, inline)]
Package: linux-2.6
Version: 2.6.32-10
Severity: important

Hi,

the sid kernel has radeonfb builtin on some archs:
debian/config/powerpc/config:CONFIG_FB_RADEON=y
debian/config/sparc/config:CONFIG_FB_RADEON=y

This is likely to conflict with the fb provided by the radeon drm driver
with kms.  Maybe they can be made =m instead?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584744; Package linux-2.6. (Sun, 06 Jun 2010 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 06 Jun 2010 12:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 584744@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Julien Cristau <jcristau@debian.org>, 584744@bugs.debian.org
Subject: Re: Bug#584744: linux-2.6: radeonfb builtin on sparc and powerpc
Date: Sun, 6 Jun 2010 14:36:12 +0200
On Sun, Jun 06, 2010 at 11:07:51AM +0200, Julien Cristau wrote:
> the sid kernel has radeonfb builtin on some archs:
> debian/config/powerpc/config:CONFIG_FB_RADEON=y
> debian/config/sparc/config:CONFIG_FB_RADEON=y
> This is likely to conflict with the fb provided by the radeon drm driver
> with kms.  Maybe they can be made =m instead?

That is a problem. Both powerpc and sparc have no text console.

Bastian

-- 
The face of war has never changed.  Surely it is more logical to heal
than to kill.
		-- Surak of Vulcan, "The Savage Curtain", stardate 5906.5




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584744; Package linux-2.6. (Tue, 29 Jun 2010 22:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 29 Jun 2010 22:33:05 GMT) Full text and rfc822 format available.

Message #15 received at 584744@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Bastian Blank <waldi@debian.org>, 584744@bugs.debian.org
Subject: Re: Bug#584744: linux-2.6: radeonfb builtin on sparc and powerpc
Date: Tue, 29 Jun 2010 23:32:24 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jun  6, 2010 at 14:36:12 +0200, Bastian Blank wrote:

> On Sun, Jun 06, 2010 at 11:07:51AM +0200, Julien Cristau wrote:
> > the sid kernel has radeonfb builtin on some archs:
> > debian/config/powerpc/config:CONFIG_FB_RADEON=y
> > debian/config/sparc/config:CONFIG_FB_RADEON=y
> > This is likely to conflict with the fb provided by the radeon drm driver
> > with kms.  Maybe they can be made =m instead?
> 
> That is a problem. Both powerpc and sparc have no text console.
> 
So do you have another suggestion to avoid the conflict?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, sascha-debian-bugs-filtered@silbe.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#584744; Package linux-2.6. (Sun, 25 Jul 2010 16:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sascha Silbe <sascha-debian-bugs-584744@silbe.org>:
Extra info received and forwarded to list. Copy sent to sascha-debian-bugs-filtered@silbe.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 25 Jul 2010 16:24:04 GMT) Full text and rfc822 format available.

Message #20 received at 584744@bugs.debian.org (full text, mbox):

From: Sascha Silbe <sascha-debian-bugs-584744@silbe.org>
To: Debian Bug Tracking System <584744@bugs.debian.org>
Subject: linux-2.6: built-in radeonfb breaks DRM
Date: Sun, 25 Jul 2010 18:23:22 +0200
Package: linux-2.6
Severity: normal


With the built-in radeonfb and KMS enabled by default, DRM is broken on eMacs.
See e.g. FDO#27502 [1].
Disabling KMS in /etc/modprobe.d/radeon-kms.conf works around the issue.

Not sure what a real fix would be in this case - is there a framebuffer driver that can coexist with drm?


[1] https://bugs.freedesktop.org/show_bug.cgi?id=27502

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.32-5-powerpc
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Reply sent to Ben Hutchings <ben@decadent.org.uk>:
You have taken responsibility. (Sun, 25 Jul 2010 17:15:05 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Sun, 25 Jul 2010 17:15:06 GMT) Full text and rfc822 format available.

Message #25 received at 584744-done@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 584744-done@bugs.debian.org
Subject: Re: Bug#584744: linux-2.6: built-in radeonfb breaks DRM
Date: Sun, 25 Jul 2010 18:11:37 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-07-25 at 18:23 +0200, Sascha Silbe wrote:
> Package: linux-2.6
> Severity: normal
> 
> 
> With the built-in radeonfb and KMS enabled by default, DRM is broken on eMacs.
> See e.g. FDO#27502 [1].
> Disabling KMS in /etc/modprobe.d/radeon-kms.conf works around the issue.
> 
> Not sure what a real fix would be in this case - is there a framebuffer driver that can coexist with drm?

When you enable KMS, the DRM driver is a framebuffer driver.  You are
asking for two framebuffer drivers to handle the same hardware, which is
of course impossible.

> [1] https://bugs.freedesktop.org/show_bug.cgi?id=27502

Which says exactly what I just told you (comment 7).

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 25 Jul 2010 17:24:06 GMT) Full text and rfc822 format available.

Bug closed, send any further explanations to Julien Cristau <jcristau@debian.org> Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Tue, 31 May 2011 05:21:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 28 Jun 2011 07:34:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:38:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.